Package org.apache.cayenne.access.sqlbuilder.sqltree

# Class LikeNode

java.lang.Object
org.apache.cayenne.access.sqlbuilder.sqltree.Node
org.apache.cayenne.access.sqlbuilder.sqltree.ExpressionNode
org.apache.cayenne.access.sqlbuilder.sqltree.LikeNode

Direct Known Subclasses:
  `MysqlLikeNode`, `PostgresLikeNode`

public class LikeNode extends ExpressionNode
expressions: LIKE, ILIKE, NOT LIKE, NOT ILIKE + ESCAPE

Since:
  4.2

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final char`
  `escape`
  `protected final boolean`
  `ignoreCase`
  `protected final boolean`
  `not`

  ### Fields inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

  `children, childrenCount, parent, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LikeNode(boolean ignoreCase, boolean not, char escape)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `appendChildrenEnd(QuotingAppendable buffer)`
  `void`
  `appendChildrenSeparator(QuotingAppendable buffer, int childIdx)`
  `void`
  `appendChildrenStart(QuotingAppendable buffer)`
  `Node`
  `copy()`
  `boolean`
  `equals(Object o)`
  `char`
  `getEscape()`
  `int`
  `hashCode()`
  `boolean`
  `isIgnoreCase()`
  `boolean`
  `isNot()`

  ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.ExpressionNode

  `append, toString`

  ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

  `addChild, addChild, deepCopy, deepEquals, getChild, getChildrenCount, getParent, getType, replaceChild, setParent, visit`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ignoreCase

    protected final boolean ignoreCase

  - ### not

    protected final boolean not

  - ### escape

    protected final char escape

- ## Constructor Details

  - ### LikeNode

    public LikeNode(boolean ignoreCase, boolean not, char escape)

- ## Method Details

  - ### appendChildrenStart

    public void appendChildrenStart(QuotingAppendable buffer)
    Overrides:
      `appendChildrenStart` in class `ExpressionNode`

  - ### appendChildrenSeparator

    public void appendChildrenSeparator(QuotingAppendable buffer, int childIdx)
    Overrides:
      `appendChildrenSeparator` in class `Node`

  - ### appendChildrenEnd

    public void appendChildrenEnd(QuotingAppendable buffer)
    Overrides:
      `appendChildrenEnd` in class `ExpressionNode`

  - ### copy

    public Node copy()
    Overrides:
      `copy` in class `ExpressionNode`

  - ### isIgnoreCase

    public boolean isIgnoreCase()

  - ### isNot

    public boolean isNot()

  - ### getEscape

    public char getEscape()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Node`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Node`